
@{
    ViewData["Title"] = "Wawancara Online";
}

<!--page title start-->

<section class="page-title o-hidden pos-r md-text-center" data-bg-color="#fbf3ed">
    <canvas id="confetti"></canvas>
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-7 col-md-12">
                <h1 class="title"><span>W</span>awancara Online</h1>
                <p>Penerimaan Peserta Didik Baru</p>
            </div>
            <div class="col-lg-5 col-md-12 text-lg-right md-mt-3">
                <nav aria-label="breadcrumb" class="page-breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a href="#">PPDB</a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Wawancara Online</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
    <div class="page-title-pattern"><img onerror="this.onerror=null; this.src='/assets/img/dummy/no-image.png'" class="img-fluid" src="~/assets/modules/images/bg/11.png" alt=""></div>
</section>

<!--page title end-->
<!--body content start-->

<div class="page-content">

    <!--terms start-->

    <section>
        <div class="container">
            <div class="row text-center">
                <div class="col-lg-8 col-md-12 ml-auto mr-auto">
                    <div class="section-title">
                        <div class="title-effect">
                            <div class="bar bar-top"></div>
                            <div class="bar bar-right"></div>
                            <div class="bar bar-bottom"></div>
                            <div class="bar bar-left"></div>
                        </div>
                        <h6>PPDB ONLINE</h6>
                        <h2 class="title">Wawancara Online</h2>
                        <p>Jawablah pertanyaan ini dengan sebenarnya</p>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="row" id="secPencarian">
                    <div class="col-md-8 offset-md-2" style="">
                        <div style="">
                            <div class="form-group row">
                                <label class="col-sm-4 col-form-label">Nomor Pendaftaran</label>
                                <div class="col-sm-8">
                                    <div class="input-group"> 
                                        <input id="NoPendaftaran" type="number" name="NoPendaftaran" class="form-control" placeholder="Ketik Nomor Pendaftaran..." required>
                                        <div class="input-group-append" id="DivBtnCari"> 
                                            <button id="BtnCariNisn" onClick="GetPpdbDaftar();" class="btn btn-theme" type="button"> <div id="htmlBtnCariNisn"><i class="fa fa-search"></i> Cari</div></button> 
                                        </div> 
                                        <div class="input-group-append" id="DivBtnReload" style="display:none"> 
                                            <a href="/ppdb/wawancara" class="btn btn-theme"> <i class="fa fa-times"></i> Batalkan</a> 
                                        </div> 
                                    </div> 
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <form id="FormWawancara" class="needs-validation" novalidate>
                    <div class="row" id="secWawancara">
                        
                        <div class="col-lg-8 offset-md-2" id="imageEmpty">
                            <center>
                            <img src="~/assets/img/illustration/searcing.png" class="img-fluid" width="500px" />
                            <p class="mt-2">Silahkan masukan nomor pendaftaran anda</p>
                            </center>
                        </div>

                        <div class="col-lg-8 offset-md-2" id="tablePpdb" style="display:none">
                            <div class="table-responsive">
                                <table class="table table-bordered">
                                    <tbody>
                                        <tr>
                                            <th scope="row">Nama Lengkap</th>
                                            <td><span id="PvNamaLengkap">Sedang Memuat</span></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Jenis Kategori</th>
                                            <td><span id="PvJenisKategori">Sedang Memuat</span></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Jenjang Pendidikan</th>
                                            <td><span id="PvJenjangPendidikan">Sedang Memuat</span></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Kelas</th>
                                            <td><span id="PvKelas">Sedang Memuat</span></td>
                                        </tr>
                                        <tr id="trKelasParalel" style="display:none">
                                            <th scope="row">Kelas Paralel</th>
                                            <td><span id="PvKelasParalel">Sedang Memuat</span></td>
                                        </tr>
                                        <tr>
                                            <th scope="row">Jenis Daftar</th>
                                            <td><span id="PvJenisDaftar">Sedang Memuat</span></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-md-12" style="margin:0px auto;">
                                <div class="row" style="justify-content:center;">
                                    <button type="button" class="btn btn-theme btn-sm btn-block" onclick="BtnMulaiWawancara()">
                                        <i class="fa fa-arrow-alt-circle-right"></i> Mulai Wawancara
                                    </button>
                                </div>
                            </div>
                        </div>



                        <div class="col-lg-8 offset-md-2" id="secKuisioner1" style="display:none;">
                            <div class="alert alert-warning alert-dismissible fade show" role="alert">
                                <strong>Kuisioner 1</strong> Jawablah pertanyaan ini dengan sebenarnya.
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div id="formKuisioner1"></div>
                            <div class="col-md-12" style="margin:0px auto;">
                                <div class="row" style="justify-content:center;">
                                    @* <button type="button" class="btn btn-secondary btn-sm" onclick="DataRegister(-1, 'secKuisioner1')">
                                        <i class="fa fa-home"></i>
                                    </button> *@
                                    <button type="button" class="btn btn-theme btn-sm" onclick="DataRegister(1)">
                                        <i class="fa fa-arrow-alt-circle-right"></i> Selanjutnya
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-8 offset-md-2" id="secKuisioner2" style="display:none;">
                            <div class="alert alert-warning alert-dismissible fade show" role="alert">
                                <strong>Kuisioner 2</strong> Jawablah pertanyaan ini dengan sebenarnya.
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div id="formKuisioner2"></div>
                            <div class="col-md-12" style="margin:0px auto;">
                                <div class="row" style="justify-content:center;">
                                    <button type="button" class="btn btn-secondary btn-sm" onclick="DataRegister(-1, 'secKuisioner2')">
                                        <i class="fa fa-home"></i>
                                    </button>
                                    <button type="button" class="btn btn-theme btn-sm" onclick="DataRegister(2)">
                                        <i class="fa fa-arrow-alt-circle-right"></i> Selanjutnya
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-8 offset-md-2" id="secKuisioner3" style="display:none;">
                            <div class="alert alert-warning alert-dismissible fade show" role="alert">
                                <strong>Kuisioner 3</strong> Jawablah pertanyaan ini dengan sebenarnya.
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div id="formKuisioner3"></div>
                            <div class="col-md-12" style="margin:0px auto;">
                                <div class="row" style="justify-content:center;">
                                    <button type="button" class="btn btn-secondary btn-sm" onclick="DataRegister(-1, 'secKuisioner3')">
                                        <i class="fa fa-home"></i>
                                    </button>
                                    <button type="button" class="btn btn-theme btn-sm" onclick="DataRegister(3)">
                                        <i class="fa fa-arrow-alt-circle-right"></i> Selanjutnya
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-8 offset-md-2" id="secKuisioner4" style="display:none;">
                            <div class="alert alert-warning alert-dismissible fade show" role="alert">
                                <strong>Kuisioner 4</strong> Jawablah pertanyaan ini dengan sebenarnya.
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div id="formKuisioner4"></div>
                            <div class="col-md-12" style="margin:0px auto;">
                                <div class="row" style="justify-content:center;">
                                    <button type="button" class="btn btn-secondary btn-sm" onclick="DataRegister(-1, 'secKuisioner4')">
                                        <i class="fa fa-home"></i>
                                    </button>
                                    <button type="button" class="btn btn-theme btn-sm" onclick="DataRegister(4)">
                                        <i class="fa fa-arrow-alt-circle-right"></i> Selanjutnya
                                    </button>
                                </div>
                            </div>
                        
                        </div>

                        <div class="col-md-8 offset-md-2" id="secKuisioner5" style="display:none;">
                            <div class="alert alert-warning alert-dismissible fade show" role="alert">
                                <strong>Kuisioner 5</strong> Jawablah pertanyaan ini dengan sebenarnya.
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="form-group row">
                                <label class="col-sm-4 col-form-label"><b>  1 </b> Infaq dengan pilihan sebagai berikut :</label>
                                <div class="col-sm-8">
                                    <div class="input-group"> 
                                        <select class="form-control" name="Kewarganegaraan" id="Kewarganegaraan" data-input="wajib" label="Kewarganegaraan" required>
                                            <option value="">Select One</option>
                                            <option value="1050000">1.050.000</option>
                                            <option value="1150000">1.150.000</option>
                                        </select>
                                    </div> 
                                    <div class="invalid-feedback">
                                        Kolom Wajib diisi.
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-sm-4 col-form-label"><b>  2 </b> Wakaf lahan dengan pilihan sebagai berikut :</label>
                                <div class="col-sm-8">
                                    <div class="input-group"> 
                                        <select class="form-control" name="Kewarganegaraan" id="Kewarganegaraan" data-input="wajib" label="Kewarganegaraan" required>
                                            <option value="">Select One</option>
                                            <option value="4255000">1 m2 - 4.255.000</option>
                                            <option value="8510000">2 m2 - 8.510.000</option>
                                        </select>
                                    </div> 
                                    <div class="invalid-feedback">
                                        Kolom Wajib diisi.
                                    </div>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-sm-4 col-form-label"><b><i>Catatan Tambahan</i></b> : Wakaf diberikan atas nama (kakek/nenek/ayah/ibu dari calon peserta didik)</label>
                                <div class="col-sm-8">
                                    <div class="input-group"> 
                                        <textarea class="form-control" name="" id="" rows="30" placeholder="Ketikan Catatan"></textarea>
                                    </div> 
                                    <div class="invalid-feedback">
                                        Kolom Wajib diisi.
                                    </div>
                                </div>
                            </div>
                            @* <div class="form-group row">
                                <label class="col-sm-4 col-form-label">Setuju dengan pernyataan diatas?</label>
                                <div class="col-sm-8">
                                    <div class="custom-control custom-checkbox my-1 mr-sm-2">
                                        <input type="checkbox" class="custom-control-input" name="Wakaf" id="Wakaf" value="Y">
                                        <label class="custom-control-label" for="Wakaf">Ya, saya setuju dengan syarat dan ketentuan belaku</label>
                                    </div>
                                </div>
                            </div> *@
                            <div class="col-md-12" style="margin:0px auto;">
                                <div class="row" style="justify-content:center;">
                                    <button type="button" class="btn btn-secondary btn-sm" onclick="DataRegister(-1, 'secKuisioner5')">
                                        <i class="fa fa-home"></i>
                                    </button>
                                    <button type="button" class="btn btn-theme btn-sm" onclick="DataRegister(5)">
                                        <i class="fa fa-save"></i> &nbsp;Selesaikan Wawancara
                                    </button>
                                </div>
                            </div>
                            
                        </div>

                    </div>
                </form>
            </div>
        </div>
    </section>
</div>
<!--body content end--> 

<div class="modal fade" id="modalPin" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Masukan Kode PIN</h5>
            </div>
            <div class="modal-body">
                <div class="alert alert-warning">Masukan Kode PIN yang telah dikirim ke email anda : </div>
                <div class="form-group row">
                    <label class="col-sm-4 col-form-label">Kode PIN</label>
                    <div class="col-sm-8">
                        <input id="KodePin" type="number" name="KodePin" class="form-control" placeholder="Masukan angka 6 digit" required>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn btn-secondary btn-sm">
                     Batalkan
                </button>
                <button type="button" onclick="GetWawancara();" class="btn btn-theme btn-sm">
                    Lanjutkan
                </button>
            </div>
        </div>
    </div>
</div>